<?xml version="1.0" encoding="UTF-8"?>
<refentry version="5.0-subset Scilab" xml:id="ann_get_no_of_ttype_units" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:xi="http://www.w3.org/2001/XInclude"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:html="http://www.w3.org/1999/xhtml"
          xmlns:db="http://docbook.org/ns/docbook">

  <!-- id: krui_getNoOfTTypeUnits - DOT NOT MODIFY OR DELETE THIS LINE -->
  <!-- comments: int krui_getNoOfTTypeUnits(int);
/*****************************************************************************
  FUNCTION : ann_get_no_of_ttype_units
  PURPOSE  :
  NOTES    :
  RETURNS  :
  UPDATE   :
******************************************************************************/ -->
  <refnamediv>
    <refname>ann_get_no_of_ttype_units</refname>

    <refpurpose>Returns the number of units of the specified topologic type
    (i.e. Input, Hidden, Output or Special units) </refpurpose>
  </refnamediv>

  <refsynopsisdiv>
    <title>Calling Sequence</title>

    <synopsis>[no_of_ttype_units] = ann_get_no_of_ttype_units(network, unit_ttype);</synopsis>
  </refsynopsisdiv>

  <refsection>
    <title>Input parameters</title>

    <variablelist>
      <varlistentry>
        <term>network</term>

        <listitem>
          <para>Instance of neural network</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>unit_ttype</term>

        <listitem>
          <para>TType</para>
        </listitem>
      </varlistentry>


    </variablelist>
  </refsection>

  <refsection>
    <title>Output parameters</title>

    <variablelist>
      <varlistentry>
        <term>no_of_ttype_units</term>

        <listitem>
          <para>Number of units of the specified TType.</para>
        </listitem>
      </varlistentry>


    </variablelist>
  </refsection>



  <refsection>
    <title>Description</title>

    <para>No description</para>
  </refsection>

  <refsection>
    <title>Examples</title>

    <programlisting role="example"> 
    Usage example
    </programlisting>
  </refsection>

  <refsection>
    <title>See Also</title>

    <simplelist type="inline">
        <member><link linkend="">name</link></member>

    </simplelist>
  </refsection>

  <refsection>
    <title>Authors</title>

    <simplelist type="vert">
      <member>Emmanuel GOOSSAERT</member>
      <member>Yann COLLETTE</member>

    </simplelist>
  </refsection>
</refentry>
